#!/bin/sh

set -e

if [ ! -f /data/gitit.conf ]; then
	echo "Building config for gitit"
  	gitit --print-default-config > /data/gitit.conf

	sed -i 's|default-extension: page|default-extension: md|' /data/gitit.conf
fi


if [ "$1" = 'gitit' ]; then
  exec gitit "$@"
fi

exec "$@"

